summaryrefslogtreecommitdiffstats
path: root/remoting/host/installer/linux
diff options
context:
space:
mode:
authorjamiewalch@chromium.org <jamiewalch@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-08-30 00:19:54 +0000
committerjamiewalch@chromium.org <jamiewalch@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-08-30 00:19:54 +0000
commit6a9b5682836260dddfe211699a0197cbb3305e40 (patch)
tree6291069e1e4ce02a1369ca59b377b74bd44fa711 /remoting/host/installer/linux
parentbc7e587bc904361362b67f1731c1fa4894b69cc7 (diff)
downloadchromium_src-6a9b5682836260dddfe211699a0197cbb3305e40.zip
chromium_src-6a9b5682836260dddfe211699a0197cbb3305e40.tar.gz
chromium_src-6a9b5682836260dddfe211699a0197cbb3305e40.tar.bz2
Updated script name in preinst and guard against missing files in postinst.
BUG=None Review URL: https://chromiumcodereview.appspot.com/10894027 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@154013 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'remoting/host/installer/linux')
-rwxr-xr-xremoting/host/installer/linux/debian/postinst2
-rwxr-xr-xremoting/host/installer/linux/debian/preinst2
2 files changed, 2 insertions, 2 deletions
diff --git a/remoting/host/installer/linux/debian/postinst b/remoting/host/installer/linux/debian/postinst
index 36ff5dc..91df906 100755
--- a/remoting/host/installer/linux/debian/postinst
+++ b/remoting/host/installer/linux/debian/postinst
@@ -29,7 +29,7 @@ case "$1" in
# anything that would result in them losing state.
if [ -f "$HASHES_FILE" ]; then
if [ -d "$NOTIFIER_DIR" ]; then
- if ! md5sum --status -c "$HASHES_FILE"; then
+ if ! md5sum --status -c "$HASHES_FILE" 2>/dev/null; then
echo "Sending logout notification messages to virtual desktops."
echo "$LOGOUT_MSG" > "$NOTIFIER_DIR/chrome-remote-desktop-logout"
fi
diff --git a/remoting/host/installer/linux/debian/preinst b/remoting/host/installer/linux/debian/preinst
index faa3855..91c7c937 100755
--- a/remoting/host/installer/linux/debian/preinst
+++ b/remoting/host/installer/linux/debian/preinst
@@ -19,7 +19,7 @@ save_hash() {
case "$1" in
"install" | "upgrade")
rm -f "$HASHES_FILE"
- save_hash /usr/bin/me2me_virtual_host
+ save_hash /opt/google/chrome-remote-desktop
;;
esac